SDL_SurfaceHasRLE(3)

NAME
SDL_SurfaceHasRLE - Returns whether the surface is RLE enabled.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_SurfaceHasRLE(SDL_Surface *surface);

DESCRIPTION
It is safe to pass a NULL surface here; it will return false.

FUNCTION PARAMETERS

surface
    the SDL_Surface
     structure to query.

RETURN VALUE
Returns true if the surface is RLE enabled, false otherwise.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_SetSurfaceRLE(3)